require 'rspectacular/plugins/rails/engine'

if defined? RSpec::Rails
  RSpec.configure do |config|
    config.infer_base_class_for_anonymous_controllers = true

    config.infer_spec_type_from_file_location! if config.respond_to?(:infer_spec_type_from_file_location!)

    if File.join(Dir.pwd, 'spec', 'dummy', 'config', 'environment')
      config.include Rspectacular::NamespacedEngineControllerRouteFix, :type => :controller
    end
  end
end
